From 03abe31becbcb9f7e8177b34b14a00d4a5c05eeb Mon Sep 17 00:00:00 2001
From: Gabriele Musco <gabmus@disroot.org>
Date: Sun, 26 Nov 2023 21:17:51 +0100
Subject: [PATCH 16/54] feat: use heading style for info row instead of attrs

---
 lact-gui/src/app/info_row.rs | 6 +-----
 lact-gui/ui/info_row.blp     | 5 +++--
 2 files changed, 4 insertions(+), 7 deletions(-)

diff --git a/lact-gui/src/app/info_row.rs b/lact-gui/src/app/info_row.rs
index 426c5255..a4c21b75 100644
--- a/lact-gui/src/app/info_row.rs
+++ b/lact-gui/src/app/info_row.rs
@@ -19,7 +19,6 @@ mod imp {
     use glib::Properties;
     use gtk::{
         glib::{self, subclass::InitializingObject},
-        pango::AttrList,
         prelude::*,
         subclass::{
             prelude::*,
@@ -27,7 +26,7 @@ mod imp {
         },
         CompositeTemplate, Label, TemplateChild,
     };
-    use std::{cell::RefCell, str::FromStr};
+    use std::cell::RefCell;
 
     #[derive(CompositeTemplate, Default, Properties)]
     #[properties(wrapper_type = super::InfoRow)]
@@ -61,9 +60,6 @@ mod imp {
     impl ObjectImpl for InfoRow {
         fn constructed(&self) {
             self.parent_constructed();
-
-            let attr_list = AttrList::from_str("0 -1 weight bold").unwrap();
-            self.value_label.set_attributes(Some(&attr_list));
         }
     }
 
diff --git a/lact-gui/ui/info_row.blp b/lact-gui/ui/info_row.blp
index 045fdeff..ba5bd188 100644
--- a/lact-gui/ui/info_row.blp
+++ b/lact-gui/ui/info_row.blp
@@ -12,9 +12,10 @@ template $InfoRow: Box {
     }
 
     Label value_label {
+        styles ["heading"]
         label: bind template.value;
-        halign: end;
+        xalign: 1.0;
+        justify: right;
         selectable: true;
-        use-markup: true;
     }
 }

